<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="secsizshift">
		<xsl:if test="count(hpt_raidman_page/isSupVarSecSize)=0">
			0
		</xsl:if>
		<xsl:if test="count(hpt_raidman_page/isSupVarSecSize)!=0">
			1
		</xsl:if>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<title>HighPoint RAID Management -- Logical</title>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
				<SCRIPT language="Javascript">
JBOD_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raidjb"/>;
RAID0_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid0"/>;
RAID1_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid1"/>;
RAID3_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid3"/>;
RAID5_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid5"/>;
RAID10_INDEX =<xsl:value-of select="hpt_raidman_page/raidindex/raid10"/>;
RAID50_INDEX =<xsl:value-of select="hpt_raidman_page/raidindex/raid50"/>;
RAID6_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid6"/>;
//max array member count
JBOD_MAX_MEMBER_COUNT = <xsl:value-of select="hpt_raidman_page/raidmeb/raidjb"/>;
RAID0_MAX_MEMBER_COUNT = <xsl:value-of select="hpt_raidman_page/raidmeb/raid0"/>;
RAID1_MAX_MEMBER_COUNT = <xsl:value-of select="hpt_raidman_page/raidmeb/raid1"/>;
RAID3_MAX_MEMBER_COUNT = <xsl:value-of select="hpt_raidman_page/raidmeb/raid3"/>;
RAID5_MAX_MEMBER_COUNT = <xsl:value-of select="hpt_raidman_page/raidmeb/raid5"/>;
RAID10_MAX_MEMBER_COUNT =<xsl:value-of select="hpt_raidman_page/raidmeb/raid10"/>;
RAID50_MAX_MEMBER_COUNT =<xsl:value-of select="hpt_raidman_page/raidmeb/raid50"/>;
RAID6_MAX_MEMBER_COUNT = <xsl:value-of select="hpt_raidman_page/raidmeb/raid6"/>;
hideCount=1;//form hidden component count
disk4kcount=0;
DriveCapV2=<xsl:value-of select="hpt_raidman_page/driverCapV2"/>;
rjwb=<xsl:value-of select="hpt_raidman_page/cacheindex/raidjb/back"/>;
rjwt=<xsl:value-of select="hpt_raidman_page/cacheindex/raidjb/through"/>;
rjno=<xsl:value-of select="hpt_raidman_page/cacheindex/raidjb/none"/>;
r0wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid0/back"/>;
r0wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid0/through"/>;
r0no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid0/none"/>;
r1wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid1/back"/>;
r1wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid1/through"/>;
r1no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid1/none"/>;
r3wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid3/back"/>;
r3wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid3/through"/>;
r3no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid3/none"/>;
r5wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid5/back"/>;
r5wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid5/through"/>;
r5no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid5/none"/>;
r10wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid10/back"/>;
r10wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid10/through"/>;
r10no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid10/none"/>;
r50wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid50/back"/>;
r50wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid50/through"/>;
r50no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid50/none"/>;
r6wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid6/back"/>;
r6wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid6/through"/>;
r6no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid6/none"/>;
totalSelectedMaxFree=0;
function ChangeCachePolicyOptions(wb, wt, no){
	with (document.forms[0]){
		elements[hideCount+3].options.length = 0;
		var index = 0;
		if(wb){
			elements[hideCount+3].options[index] =  new Option("Write Back","Write Back");
			index++;
		}
		if(wt){
    			elements[hideCount+3].options[index] = new Option("Write Through","Write Through");
			index++
		}
    		if(no){
    			elements[hideCount+3].options[index] = new Option("None", "None");
			index++;
		}
	}
}

function selectall(){
	var theform = document.arrayform;
	var flag=<xsl:value-of select="$secsizshift"/>;
	var arraytype=document.forms[0].arraytype.options[document.forms[0].arraytype.selectedIndex].text;
	totalSelectedMaxFree=0;
	disk4kcount = 0;
	for(i=0;i&lt;theform.elements.length;i++){
		if(theform.elements[i].type=="checkbox"){
			theform.elements[i].checked=true;
			if(theform.elements[i].id.substring(0,5) == "kndsk"){
				disk4kcount++;
			}
			if(arraytype=="JBOD(Volume)"){
     		            substr=parseFloat(theform.elements[i].alt.substring(0,theform.elements[i].alt.length-2));
			    if(theform.elements[i].alt.indexOf('T')>=0) substr*=1000;   
			    totalSelectedMaxFree+=substr;
			}     		        
		}
		        
  	}
  	var disknum=SelectedDiskNum();
  	var mincap=SelectedMinCap();
  	if(flag){
  	      switch(arraytype){
          
           case "RAID 0"         :{     
                                         if(disknum&lt;2)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{     
                                              totalSelectedMaxFree=disknum*mincap;
                                         }       
                                         break;    
                                  }   
          case "RAID 1"          :{    
                                         if(SelectedDiskNum()!=2)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{     
                                              totalSelectedMaxFree=(disknum*mincap); 
                                         }     
                                         break;   
                                  }  
          case "RAID 3"          :{      
                                         if(disknum&lt;3)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{    
                                               totalSelectedMaxFree=(disknum-1)*mincap;
                                         }     
                                         break;  
                                         
                                  }                         
          case "RAID 5"          :{      
                                         if(disknum&lt;3)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{    
                                               totalSelectedMaxFree=(disknum-1)*mincap;
                                         }     
                                         break;  
                                         
                                  } 
          case "RAID 1/0"        :{  
                                         if(disknum&lt;4||disknum%2!=0)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{    
                                                 totalSelectedMaxFree=(disknum/2)*mincap;  
                                         }     
                                         break;      
                                  }  
          case "RAID 5/0"        :{       
                                         var memcnt = document.forms[0].elements[hideCount+5].options[document.forms[0].elements[hideCount+5].selectedIndex].text;
                                         if(disknum&lt;6||disknum/memcnt&lt;2||disknum%memcnt!=0)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{
                                                 totalSelectedMaxFree=(memcnt-1)*mincap*(disknum/memcnt); 
                                         }     
                                         break;                                        
                                         
                                  } 
          case "RAID 6"          :{
                                         if(disknum&lt;4)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{    
                                                 totalSelectedMaxFree=(disknum-2)*mincap;
                                         }
                                         break; 
                                  }      
                                                                       
                                                                                                                                                            
         }
  	     
  	
  	if(totalSelectedMaxFree>2000)
  	   if(document.forms[0].capacity.value>2000000||document.forms[0].capacity.value=='Maximum')
  	     document.forms[0].sectorsizeshift.disabled=false;
  	else 
  	     document.forms[0].sectorsizeshift.disabled=true;     
  	}
	if(disk4kcount>0){
	  	document.forms[0].sectorsizeshift.options.length=0;
		document.forms[0].sectorsizeshift.add(new Option("4K","4k"));
	        document.forms[0].sectorsizeshift.disabled=false;   
	        return;
  	}  
}

function InitmethodCreate()
{
    initmethod=document.forms[0].initmethod;
    initmethod.options.length=0;
    var saf=navigator.userAgent.indexOf("Safari");
    with (document.forms[0]){
        if(RAID0_INDEX>-1)
        if(elements[hideCount+0].options[RAID0_INDEX].selected){
            var opt=document.createElement("option");
            //opt.text="Quick Init";
			opt.text="Keep Old Data";
            if(saf!=-1)
                initmethod.add(opt);
            else
                initmethod.options.add(opt);    
            var opt=document.createElement("option");
            //opt.text="Keep Old Data";
			opt.text="Quick Init";
            if(saf!=-1)
                initmethod.add(opt);
            else 
                initmethod.options.add(opt);
            return;
         }             
         if(JBOD_INDEX>-1)
	 if(elements[hideCount+0].options[JBOD_INDEX].selected){
	     var opt=document.createElement("option");
             //opt.text="Quick Init";
			 opt.text="Keep Old Data";
             if(saf!=-1)
                 initmethod.add(opt);
             else
                 initmethod.options.add(opt);
             var opt=document.createElement("option");
             //opt.text="Keep Old Data";
             opt.text="Quick Init";
			 if(saf!=-1)
                initmethod.add(opt);
             else 
                initmethod.options.add(opt);
             return;
          }
		  var opt=document.createElement("option");
          //opt.text="Quick Init";
		  opt.text="Keep Old Data";
          if(saf!=-1)
              initmethod.add(opt);
          else 
              initmethod.options.add(opt);
          var opt=document.createElement("option");
          //opt.text="Keep Old Data";
          opt.text="Quick Init";
		  if(saf!=-1)
              initmethod.add(opt);
          else
              initmethod.options.add(opt);
		  var opt=document.createElement("option");
          opt.text="Foreground";
          if(saf!=-1)
              initmethod.add(opt);
          else 
              initmethod.options.add(opt);
          var opt=document.createElement("option");

          opt.text="Background";                    
          if(saf!=-1)
              initmethod.add(opt);
          else 
              initmethod.options.add(opt);
          
       }
 }
                      
function CreateBlocksizeOption(){
	minBlockSize=<xsl:value-of select="hpt_raidman_page/minblocksize"/>;
	maxBlockSize=<xsl:value-of select="hpt_raidman_page/maxblocksize"/>;
	index=0;
	for(i=minBlockSize;i&lt;maxBlockSize+1;i++){
		blocksize = Math.pow(2,i-1);
		blocksize += "K";
		if(blocksize=="64K")
			document.forms[0].elements[hideCount+4].options[index] =  new Option(blocksize,blocksize,true,true);
		else
			document.forms[0].elements[hideCount+4].options[index] =  new Option(blocksize,blocksize);
		index++;
	}
}             
	                 
            

function OnArrayTypeChange(){
        InitmethodCreate();
        totalSelectedMaxFree=0;
        disk4kcount = 0;
	with (document.forms[0]){
		if(RAID1_INDEX>-1)
		if(elements[hideCount+0].options[RAID1_INDEX].selected){
    			if(DriveCapV2){
				ChangeCachePolicyOptions(r1wb, r1wt, r1no);
 	   		}else{
 	   			elements[hideCount+3].disabled=true;
 	   		}
 	   		
 	   		elements[hideCount+4].disabled=true;
 	   		elements[hideCount+5].disabled=true;
		}
		if(RAID10_INDEX>-1)
		if(elements[hideCount+0].options[RAID10_INDEX].selected){
	    		if(DriveCapV2){
				ChangeCachePolicyOptions(r10wb, r10wt, r10no);
 	   		}else{
 	   			elements[hideCount+3].disabled=true;
 	   		}
 	   		elements[hideCount+4].disabled=false;
 	   		elements[hideCount+5].disabled=true;
		}
		if(JBOD_INDEX>-1)
		if(elements[hideCount+0].options[JBOD_INDEX].selected){
    			if(DriveCapV2){
				ChangeCachePolicyOptions(rjwb, rjwt, rjno);
 	   		}else{
 	   			elements[hideCount+3].disabled=true;
 	   		}
 	   		elements[hideCount+4].disabled=true;
 	   		elements[hideCount+5].disabled=true;
    		}
    		if(RAID0_INDEX>-1)
		if(elements[hideCount+0].options[RAID0_INDEX].selected ){
    			if(DriveCapV2){
				ChangeCachePolicyOptions(r0wb, r0wt, r0no);
 	   		}else{
 	   			elements[hideCount+3].disabled=true;
 	   		}
 	   		elements[hideCount+4].disabled=false;
 	   		elements[hideCount+5].disabled=true;
    		}
    		if(RAID3_INDEX>-1)
		if(elements[hideCount+0].options[RAID3_INDEX].selected ){
    			elements[hideCount+3].disabled=false;
    			if(DriveCapV2){
				ChangeCachePolicyOptions(r3wb, r3wt, r3no);
    			}
    			elements[hideCount+4].disabled=true;
    			elements[hideCount+5].disabled=true;
		}
    		if(RAID5_INDEX>-1)
		if(elements[hideCount+0].options[RAID5_INDEX].selected ){
    			elements[hideCount+3].disabled=false;
    			if(DriveCapV2){
				ChangeCachePolicyOptions(r5wb, r5wt, r5no);
    			}
    			elements[hideCount+4].disabled=false;
    			elements[hideCount+5].disabled=true;
		}
		if(RAID50_INDEX>-1)
		if(elements[hideCount+0].options[RAID50_INDEX].selected){
    			elements[hideCount+3].disabled=false;
    			if(DriveCapV2){
				ChangeCachePolicyOptions(r50wb, r50wt,  r50no);
    			}
    			elements[hideCount+4].disabled=false;
    			elements[hideCount+5].disabled=false;
		}
		if(RAID6_INDEX>-1)
		if(elements[hideCount+0].options[RAID6_INDEX].selected ){
    			elements[hideCount+3].disabled=false;
    			if(DriveCapV2){
    				ChangeCachePolicyOptions(r6wb, r6wt, r6no);
    			}
    			elements[hideCount+4].disabled=false;
    			elements[hideCount+5].disabled=true;
		}
		var i=hideCount+5;
                var found=0;
                while(i&lt;length){		
	            if (elements[i].type!="checkbox"){
		        if(found==1)break;
		    }else{
		         found = 1;		
      		         if (elements[i].checked)
      		            elements[i].checked=false;		
	           }      
	           i++; 
                } 
        var flag=<xsl:value-of select="$secsizshift"/>;
        if(flag)
            sectorsizeshift.disabled=true;
    }
    return true;
}
function OnSectorSizeChange(sectorsize)
{     
   var str="Using a sector size other than 512 bytes may cause compatibility issues and result in restricted functionality. Do you want to continue?";
   if(sectorsize.selectedIndex!=0){ 
       if(confirm(str)) return true;
       else {
         sectorsize.options[0].selected="true";
         return false;
         }
   }   
    
}
function testvalue(text)
{
   var flag=<xsl:value-of select="$secsizshift"/>;
   if(flag){
       if(totalSelectedMaxFree>2000){
  	        if(document.forms[0].capacity.value>2000000)
  	              document.forms[0].sectorsizeshift.disabled=false;
                else{ 
                     if(isNaN(document.forms[0].capacity.value)){
                         if(document.forms[0].sectorsizeshift.disabled)
                         { 
                               if(totalSelectedMaxFree>2000) 
                                    if(document.forms[0].capacity.value&gt;2000000||document.forms[0].capacity.value=="Maximum")  document.forms[0].sectorsizeshift.disabled=false;
                                    else    document.forms[0].sectorsizeshift.disabled=true;  
                         }
                                                                                                      
                         else {
                                  if(document.forms[0].capacity.value=='Maximum')
                                        document.forms[0].sectorsizeshift.disabled=false;
                                  else 
                                        document.forms[0].sectorsizeshift.disabled=true;
                              }
                         
                     }
                     else 
                          document.forms[0].sectorsizeshift.disabled=true;
                     }   
         }
         else 
                document.forms[0].sectorsizeshift.disabled=true;    
   }
}
   
function SelectedDiskNum()
{
    var i=hideCount+5;
    var found=0;
    var count=0;
    with(document.forms[0]){	
    while(elements[i]!=undefined){
	if (elements[i].type!="checkbox"){ 
		if(found==1)break;
	}else{
		found = 1;
      		if (elements[i].checked) count++;
	}
	i++; 
   } 
   }
   return count; 
  
}  
function SelectedMinCap()
{
    var i=hideCount+5;
    var found=0;
    var minnum=Number.MAX_VALUE;
    with(document.forms[0]){	
    while(elements[i]!=undefined){
	if (elements[i].type!="checkbox"){ 
		if(found==1)break;
	}else{
		found = 1;
      		if (elements[i].checked){
      		           var start=0;
			   var end=elements[i].alt.length-2;
			   var substr=parseFloat(elements[i].alt.substring(start,end));
			   if(elements[i].alt.indexOf('T')>=0) substr*=1000;
			   minnum=Math.min(minnum,substr);
	        }
	}        
	i++; 
   } 
   }
   return minnum;
}   
                  
function CalcuCapacity(checkbox,max_free,is4kn)
{ 
 var flag=<xsl:value-of select="$secsizshift"/>;
 var arraytype;
 if(flag){
         if(is4kn == 1){
		if(checkbox.checked){
			disk4kcount++;
		}else{
			disk4kcount--;
		}
	}
         arraytype=document.forms[0].arraytype.options[document.forms[0].arraytype.selectedIndex].text;
         if(arraytype!="JBOD(Volume)") totalSelectedMaxFree=0;
         switch(arraytype){
           case "JBOD(Volume)" :  {      
                                         var imax_free=parseFloat(max_free.substring(0,max_free.length-2));
                                         if(max_free.indexOf('T')>=0) imax_free*=1000;
                                         if(checkbox.checked)
                                             totalSelectedMaxFree+=imax_free;
                                         else
                                             totalSelectedMaxFree-=imax_free; 
                                         break;
                                  }
           case "RAID 0"         :{     
                                         if(SelectedDiskNum()&lt;2)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{     
                                              totalSelectedMaxFree=(SelectedDiskNum())*(SelectedMinCap());
                                         }       
                                         break;    
                                  }   
          case "RAID 1"          :{      
                                         if(SelectedDiskNum()!=2){
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         }
                                         else{     
                                              totalSelectedMaxFree=SelectedMinCap(); 
                                              
                                         }     
                                         break;   
                                  } 
          case "RAID 3"          :{      
                                         if(SelectedDiskNum()&lt;3)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{    
                                               totalSelectedMaxFree=(SelectedDiskNum()-1)*(SelectedMinCap());
                                         }     
                                         break;  
                                         
                                  }                          
          case "RAID 5"          :{      
                                         if(SelectedDiskNum()&lt;3)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{    
                                               totalSelectedMaxFree=(SelectedDiskNum()-1)*(SelectedMinCap());
                                         }     
                                         break;  
                                         
                                  } 
          case "RAID 1/0"        :{  
                                         if(SelectedDiskNum()&lt;4||SelectedDiskNum()%2!=0)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{    
                                                 totalSelectedMaxFree=(SelectedDiskNum()/2)*(SelectedMinCap());  
                                         }     
                                         break;      
                                  }  
          case "RAID 5/0"        :{     
                                         var memcnt = document.forms[0].elements[hideCount+5].options[document.forms[0].elements[hideCount+5].selectedIndex].text;
                                         if(SelectedDiskNum()&lt;6||SelectedDiskNum()/memcnt&lt;2||SelectedDiskNum()%memcnt!=0)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{
                                                 totalSelectedMaxFree=(memcnt-1)*SelectedMinCap()*(SelectedDiskNum()/memcnt); 
                                         }     
                                         break;                                        
                                         
                                  } 
          case "RAID 6"          :{
                                         if(SelectedDiskNum()&lt;4)
                                              document.forms[0].sectorsizeshift.disabled=true;
                                         else{    
                                                 totalSelectedMaxFree=(SelectedDiskNum()-2)*(SelectedMinCap());
                                         }
                                         break; 
                                  }      
                                                                       
                                                                                                                                                            
         }
         if(totalSelectedMaxFree>2000){
  	        if(document.forms[0].capacity.value>2000000)
  	              document.forms[0].sectorsizeshift.disabled=false;
                else{ 
                     if(isNaN(document.forms[0].capacity.value)){
                         if(document.forms[0].sectorsizeshift.disabled)
                         { 
                               if(totalSelectedMaxFree>2000) 
                                    if(document.forms[0].capacity.value&gt;2000000||document.forms[0].capacity.value=="Maximum")  document.forms[0].sectorsizeshift.disabled=false;
                                    else    document.forms[0].sectorsizeshift.disabled=true;  
                         }
                                                                                                      
                         else {
                                  if(document.forms[0].capacity.value=='Maximum')
                                        document.forms[0].sectorsizeshift.disabled=false;
                                  else 
                                        document.forms[0].sectorsizeshift.disabled=true;
                              }
                         
                     }
                     else 
                          document.forms[0].sectorsizeshift.disabled=true;
                     }   
         }
         else 
                document.forms[0].sectorsizeshift.disabled=true;   
    var tmp = document.forms[0].sectorsizeshift.disabled;
    document.forms[0].sectorsizeshift.options.length=0;
    if(disk4kcount>0){
		document.forms[0].sectorsizeshift.add(new Option("4K","4k"));
		document.forms[0].sectorsizeshift.disabled = false;   
    		return;
    }else{
		document.forms[0].sectorsizeshift.add(new Option("512B","512B"));
		document.forms[0].sectorsizeshift.add(new Option("1K","1k"));
		document.forms[0].sectorsizeshift.add(new Option("2K","2k"));
		document.forms[0].sectorsizeshift.add(new Option("4K","4k"));		
		document.forms[0].sectorsizeshift.disabled = tmp;
    }      
                                             
    }    
    
    
}
      
function ExamCreateArray(){
  with (document.forms[0]){
    /*if(elements[1+hideCount].value==""){
      alert("Please input the array's name.");
	  return false;
    }*/
 	//end if
	i=hideCount+5
	selectcount=0;
	found = 0;
    while(elements[i]!=undefined){
	if (elements[i].type!="checkbox"){ 
		if(found==1)break;
	}else{
		found = 1;
      		if (elements[i].checked) selectcount++;
	}
	i++;
    }
    if(selectcount == 0){
        alert("Please select a disk.");
        document.MM_returnValue = false;
        return false;
    }
    //end while
	if(JBOD_INDEX>-1)
			if(elements[hideCount].options[JBOD_INDEX].selected){
				if(selectcount>JBOD_MAX_MEMBER_COUNT){
					alert("Number of JBOD's members can not larger than "+JBOD_MAX_MEMBER_COUNT); 
					document.MM_returnValue = false;
					return false;
				}
			}
    if(RAID1_INDEX>-1)
    if(elements[hideCount].options[RAID1_INDEX].selected){
	   if(selectcount!=2){
		   alert("RAID 1 array can only have 2 members.");
		   document.MM_returnValue = false;
           return false;
       }
	   if(selectcount>RAID1_MAX_MEMBER_COUNT){
			alert("Number of RAID1's members can not larger than "+RAID1_MAX_MEMBER_COUNT); 
			document.MM_returnValue = false;
			return false;
		}
    }
    if(RAID0_INDEX>-1)
    if(elements[hideCount].options[RAID0_INDEX].selected){
	   if(selectcount&lt;2){
		   alert("Need at least 2 disks to create the RAID 0 array.");
		   document.MM_returnValue = false;
           return false;
           }
	   if(selectcount>RAID0_MAX_MEMBER_COUNT){
			alert("Number of RAID0's members can not larger than "+RAID0_MAX_MEMBER_COUNT); 
			document.MM_returnValue = false;
			return false;
		}
    }
    if(RAID3_INDEX>-1)
    if(elements[hideCount].options[RAID3_INDEX].selected){
	   if(selectcount&lt;3){
		   alert("Need at least 3 disks to create the RAID 3 array.");
		   document.MM_returnValue = false;
           return false;
           }
	   if(selectcount>RAID3_MAX_MEMBER_COUNT){
					alert("Number of RAID3's members can not larger than "+RAID3_MAX_MEMBER_COUNT); 
					document.MM_returnValue = false;
					return false;
				}
    }
    if(RAID5_INDEX>-1)
    if(elements[hideCount].options[RAID5_INDEX].selected){
	   if(selectcount&lt;3){
		   alert("Need at least 3 disks to create the RAID 5 array.");
		   document.MM_returnValue = false;
           return false;
           }
	   if(selectcount>RAID5_MAX_MEMBER_COUNT){
					alert("Number of RAID5's members can not larger than "+RAID5_MAX_MEMBER_COUNT); 
					document.MM_returnValue = false;
					return false;
				}
    }
    if(RAID6_INDEX>-1)
    if(elements[hideCount].options[RAID6_INDEX].selected){
	   if(selectcount&lt;4){
		   alert("Need at least 4 disks to create the RAID 6 array.");
		   document.MM_returnValue = false;
           return false;
       	  }
	   if(selectcount>RAID6_MAX_MEMBER_COUNT){
					alert("Number of RAID6's members can not larger than "+RAID6_MAX_MEMBER_COUNT); 
					document.MM_returnValue = false;
					return false;
				}
    }
    if(RAID10_INDEX>-1)
    if(elements[hideCount].options[RAID10_INDEX].selected){
	  if(selectcount&lt;4){
	        alert("Need more disks to create the RAID 1/0 array.");
	        document.MM_returnValue = false;
	        return false;
          }
          if(selectcount%2!=0){
		   alert("RAID 1/0 array can't be created with odd disks.");
        	   document.MM_returnValue = false;
		   return false;
	  } 
	  if(selectcount>RAID10_MAX_MEMBER_COUNT){
					alert("Number of RAID10's members can not larger than "+RAID10_MAX_MEMBER_COUNT); 
					document.MM_returnValue = false;
					return false;
				}
    }
    if(RAID50_INDEX>-1)
    if(elements[hideCount].options[RAID50_INDEX].selected){
   	var memcnt = elements[hideCount+5].options[elements[hideCount+5].selectedIndex].text;
	  if(selectcount&lt; 6){
	        alert("Need more disks to create the RAID 5/0 array.");
	        document.MM_returnValue = false;
		return false;
	}
	if((selectcount / memcnt) &lt; 2 || (selectcount % memcnt) != 0){
		alert("Number of selected disks must be multiple of number of RAID 5 member disks.");
		document.MM_returnValue = false;
		return false;
	 }
	 if(selectcount>RAID50_MAX_MEMBER_COUNT){
					alert("Number of RAID50's members can not larger than "+RAID50_MAX_MEMBER_COUNT); 
					document.MM_returnValue = false;
					return false;
				}
    }
  }
  var createarr = document.getElementById("create");
  createarr.disabled="disabled";
  document.MM_returnValue = true;
  return true;
}

function checkError()
{
	var i = 0;
	<xsl:for-each select="hpt_raidman_page/hpt_raid/disks/disk/flags">
          <xsl:if test="@des='Legacy'">
		  	i++;
     	  </xsl:if>
    </xsl:for-each>
	if(i&gt;0){
		if(i&gt;1){
			alert("Warning:There are "+i+" legacy disks.If you create RAID with legacy disk(s), all data on these disks will be lost!");
		}else{
		alert("Warning:There is "+i+" legacy disk.If you create RAID with legacy disk(s), all data on these disks will be lost!");
	}
	}
	
	/*<xsl:for-each select="hpt_raidman_page/raidindex">
	var hg=<xsl:value-of select="."/>
	<xsl:if test="hg = -1">
	alert("hg");
	</xsl:if>
	</xsl:for-each>
	
	var theformer = document.arrayform;
	//alert(document.forms[0].arraytype.selectedIndex);
	var arraytypes=document.forms[0].arraytype.text;
	alert(document.forms[0].arraytype.text);
	if(arraytypes == null ){
		for(i=0;i&lt;theformer.elements.length;i++){
			if(theformer.elements[i].type=="button"){
			theformer.elements[i].disabled="ture";
			}
		}
	}*/
}
function InitmodelChange(sectorsize){
	var str="All data of previous array will be lost. If you want to preserve data, use \"Keep Old Data\" option instead. Do you want to continue?";
   	if(sectorsize.selectedIndex!=0){ 
       if(confirm(str)) return true;
       else {
         sectorsize.options[0].selected="true";
         return false;
         }
		 return true;
   	}   
}
function createtest(){
	var	createarr = document.getElementById("create");
	createarr.disabled="disabled";
	var theform = document.forms['arrayform'];
	theform.submit();
}
</SCRIPT>
			</head>
			<body onload="init2(); checkError();CreateBlocksizeOption();OnArrayTypeChange();">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr >
							<xsl:for-each select="adapters">
							<td colspan="2">
								<xsl:call-template name="DrawTopMenu2">
									<xsl:with-param name="topmenuech">arrman.cgi</xsl:with-param>
								</xsl:call-template>
							</td>
							</xsl:for-each>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
                        	 <xsl:for-each select="hpt_raidman_page">
                            <td align="left" valign="top">
                            	
                            	<xsl:call-template name="AsideMenu"/>
                             
                            </td>
                            </xsl:for-each>
                        
                        	
							<td align="left" valign="top">
								<form name="arrayform" action="arrman.cgi?userid={hpt_raidman_page/session/session_id}" method="POST" onsubmit="return ExamCreateArray();">
									<input type="hidden" name="func" value="CreateArray"/>
									<table id="createarraytable" width="{$pagewidth}" border="0">
										<tr>
											<td class="title" align="center">Create Array</td>
										</tr>
										<tr>
											<td class="content">
												<table border="0" cellspacing="10">
													<tr>
														<td width="100">Array Type:</td>
														<td>
															<select size="1" name="arraytype" onchange="OnArrayTypeChange();" style="width:110px;">
																<xsl:if test="hpt_raidman_page/raidindex/raidjb&gt;-1">
																	<option selected="true">JBOD(Volume)</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid0&gt;-1">
																	<option>RAID 0</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid1&gt;-1">
																	<option>RAID 1</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid3&gt;-1">
																	<option>RAID 3</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid5&gt;-1">
																	<option>RAID 5</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid10&gt;-1">
																	<option>RAID 1/0</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid50&gt;-1">
																	<option>RAID 5/0</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid6&gt;-1">
																	<option>RAID 6</option>
																</xsl:if>
															</select>
														</td>
													</tr>
													<tr>
														<td>Array Name:</td>
														<td>
															<input type="text" name="arrayname" size="16" value="Default" maxlength="15" style="width:110px;"/>
														</td>
													</tr>
													<tr>
														<td>Initialization Method:</td>
														<td>
															<select size="1" name="initmethod" style="width:110px;" onchange="InitmodelChange(this);">
																<option selected="true">Keep Old Data</option>
																<option >Quick Init</option>
															</select>
														</td>
													</tr>
													<tr>
														<td>Cache Policy:</td>
														<td>
															<xsl:if test="hpt_raidman_page/driverCapV2&lt;1">
																<select size="1" name="cache" disabled="true" style="width:110px;">
																	<option  selected="true">Write Back</option>
																	<option>Write Through</option>
																</select>
															</xsl:if>
															<xsl:if test="hpt_raidman_page/driverCapV2&gt;0">
																<select size="1" name="cache" style="width:110px;">
																	<xsl:if test="hpt_raidman_page/cacheindex/raidjb/back&gt;0">
																		<option  selected="true">Write Back</option>
																	</xsl:if>
																	<xsl:if test="hpt_raidman_page/cacheindex/raidjb/through&gt;0">
																		<option >Write Through</option>
																	</xsl:if>
																	<xsl:if test="hpt_raidman_page/cacheindex/raidjb/none&gt;0">
																		<option >None</option>
																	</xsl:if>
																</select>
															</xsl:if>
														</td>
													</tr>
													<tr> 
														<td>Block Size:</td>
														<td><select size="1" name="blocksize" disabled="true" style="width:110px;"/></td>
													</tr>
													<xsl:if test="hpt_raidman_page/raidindex/raid50&gt;-1">
													<tr>
														<td>Number of RAID5 member disks:</td>
														<td>
															<xsl:for-each select="hpt_raidman_page/hpt_raid/disks">			
															<select size="1" name="R5mem" disabled="true" style="width:110px;">
																<xsl:if test="count(disk)&lt;6">
																<option select="true">-1</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;5">
																<option select="true">3</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;7">
																<option>4</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;9">
																<option>5</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;11">
																<option>6</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;13">
																<option>7</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;15">
																<option>8</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;17">
																<option>9</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;19">
																<option>10</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;21">
																<option>11</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;23">
																<option>12</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;25">
																<option>13</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;27">
																<option>14</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;29">
																<option>15</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;31">
																<option>16</option>
																</xsl:if>																
															</select>
															</xsl:for-each>
														</td>
													</tr>
													</xsl:if>
													<xsl:if test="hpt_raidman_page/raidindex/raid50=-1">
													<input type="hidden" name="stuffing" disabled="true" value="stuffing"/>
													</xsl:if>
													<tr>
                                                    	
														<td width="100px">Available Disks:</td>
														<td>
															<table border="0">
																<thead>
																	<td width="100px"><button style="height:20px; width:80px;FONT-FAMILY: Verdana,Arial;FONT-SIZE: 9pt;COLOR: #000000;" onclick="selectall();return false;" name="selectallmem">Select All</button></td>
																	
                                                                    <td colspan="2" width="100px">Location</td>
                                                                   
																	<td width="30px">Model</td>
																	<td width="80px">Capacity</td>
																	<td width="90px">Max Free</td>
                                                                    
																</thead>
																
																<xsl:for-each select="hpt_raidman_page/hpt_raid/disks/disk">
																<!--xsl:sort select="location"/-->
                                                                								<xsl:if test="type/@id='hd'">
																	<tr>
																		<td>
																		<xsl:choose>
	        																<xsl:when test="count(@sectorsize)=0"> 
		        																<input type="checkbox" id="check_{position()}" name="check_{position()}" alt="{max_free}" onclick="CalcuCapacity(this,'{max_free}',0)" value="{@id}"/>
        																	</xsl:when>
																			<xsl:otherwise> 
																				<input type="checkbox" id="kndsk_{position()}" name="check_{position()}" alt="{max_free}" onclick="CalcuCapacity(this,'{max_free}',1)" value="{@id}"/>
       																		</xsl:otherwise>
																		</xsl:choose>
																		</td>
																		<xsl:call-template name="DrawDiskInfoRowCell">
																			<xsl:with-param name="simple">true</xsl:with-param>
																		</xsl:call-template>
																	</tr>
                                                                  								</xsl:if>
																</xsl:for-each>
															</table>
														</td>
													</tr>
													<tr>
														<td width="100">Capacity:(According to the max free space on the selected disks)</td>
														<td>
															<input size="16" name="capacity" onkeyup="testvalue(this);"  value="Maximum" style="width:110px;"/>(MB)
														</td>
													</tr>
													<xsl:if test="count(hpt_raidman_page/isSupVarSecSize)&gt;0">
													<tr>
														<td>Sector Size:</td>
														<td>
															<select disabled="true" size="1" name="sectorsizeshift"  onchange="OnSectorSizeChange(this);">
																<option value="512B" selected="true">512B</option>
																<option value="1k">1K</option>
																<option value="2k">2K</option>
																<option value="4k">4K</option>
															</select>
														</td>
													</tr>
													</xsl:if>
                                                    <xsl:if test="hpt_raidman_page/DiskCachePolicy&gt;0">
                                                    <tr>
														<td>Disk Cache Policy:</td>
														<td>
                                                        	<select size="1" name="disk_cache" style="width:110px;">
                                                                    <option selected="true">Unchange</option>
                                                                    <option >Enable</option>
                                                                    <option >Disable</option>
                                                            </select>
														</td>
													</tr>
                                                    </xsl:if>
												</table>
											</td>
										</tr>
										<tr>
											<td>
												<p align="center">
													<input style="width:80px; height:25px;FONT-FAMILY: Verdana,Arial;FONT-SIZE: 9pt;COLOR: #000000;" type="submit" id="create" value="Create" name="Create"/>
												</p>
											</td>
										</tr>
									</table>
								</form>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/smart_info"/>
							</td>
						</tr>
						<tr>
							<td>
								<form name="opform" method="POST">
									<input type="hidden" name="func" value="Func ID"/>
									<input type="hidden" name="devid" value="Device ID"/>
									<input type="hidden" name="newname" value="NewName"/>
								</form>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
