<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
	
		<html>
			<title>HighPoint RAID Management -- Global View</title>
     		<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<xsl:for-each select="adapters">
							<td colspan="2">
								<xsl:call-template name="DrawTopMenu2">
									<xsl:with-param name="topmenuech">global.cgi</xsl:with-param>
								</xsl:call-template>
							</td>
							</xsl:for-each>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<xsl:for-each select="hpt_raidman_page/hpt_raid/Properties">
                        <tr>
                        	<td>
                            	<div class="left">
                                  <div class="t1">HBA Properties</div>
                                  
                                  <div class="t2" style="margin-top:50px">
                                      <table align="center"  height="150px">
                                          <tr>
                                              <td>Host Adapter model:</td>
                                              <td>
                                              	<a><xsl:for-each select="../../adapters/controllers/controller">
                                                <xsl:if test="count(@active)=1" >
                                               	<xsl:attribute name="href">
													http://<xsl:value-of select="../../hostaddr" />/<xsl:value-of select="@id"/>/devman.cgi?userid=<xsl:value-of select="../../../session/session_id" />
                    							</xsl:attribute>
                                                </xsl:if>
                                                </xsl:for-each>
                                                <xsl:value-of select="host_adtmod" />
                                               	
                                               </a>
                                               </td>
                                          </tr>
                                          <tr>
                                              <td>Enclosure count:</td>
                                              <td><xsl:value-of select="enclousure" /></td>
                                          </tr>
                                          <tr>
                                              <td>Logical Drive:</td>
                                              <td><xsl:value-of select="LogicalDriver" /></td>
                                          </tr>
                                          <tr>
                                              <td>Physical Drive:</td>
                                              <td><xsl:value-of select="PhysicalDriver" /></td>
                                          </tr>
                                      </table>
                              	  </div>
  								</div>
							</td>
                            <td>
							 <div class="right">
                              <div class="t1">Storage Properties</div>
                              <div class="t3" style="margin-top:50px; margin-left:30px;">
                                <div style="float:left;"><img src="hpt.gif" height="120px" /></div>
                                <div style="float:left">
                                  <table align="left" height="120px">
                                    <tr>
                                      <td align="left">Total Capacity:</td>
                                      <td><xsl:value-of select="Total" /></td>
                                    </tr>
                                    <tr>
                                      <td align="left">Configured Capacity:</td>
                                      <td><xsl:value-of select="Configured" /></td>
                                    </tr>
                                    <tr>
                                      <td align="left">Free Capacity:</td>
                                      <td><xsl:value-of select="Free" /></td>
                                    </tr>
                                  </table>
                                </div>
                                <xsl:for-each select="Freepercent">
                                	<div style="border:1px solid #666666;float:left; margin-top:20px;width:300px;height:30px;margin:100px auto;overflow:hidden;position:relative;">
                                		<div class="neic">
                                        	<xsl:attribute name="style">
                                				width:<xsl:value-of select="." />%; height:100%; background-color:#FF9999;
                                			</xsl:attribute>
                                            
                                         </div>
                                         
                                         <div style="height:14px;font-weight:bold;position:absolute;top:5px;left:76px;color:#060200;">Configured <xsl:value-of select="./@rp" />%</div>
                                         
                                	</div>
                                    <!--div class="waic" id="fawid"      style="border:1px solid #666666; height:30px; width:250px; float:left;  margin-top:20px;">
										<div class="neic" id="pote">
											<xsl:attribute name="style">
                                				width:<xsl:value-of select="." />%; height:100%; background-color:#FF9999;
                                			</xsl:attribute></div>
											<div class="shuzi" id="number">Configured <xsl:value-of select="." />%(GB)</div>
												Configured <xsl:value-of select="." />%(GB)
                                    </div-->
                                    
                                </xsl:for-each>    
                              </div>
                            </div>
                           </td>
						</tr>
                        </xsl:for-each>
						<tr>
							<td colspan="2">
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>