<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:variable name="powerfan_sid">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Power Supply Fan #0 Status'">
	             <xsl:value-of select="position()"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="firmware_sid">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Firmware Version #0 Byte'">
	             <xsl:value-of select="position()"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="enclosurefan_sid">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Enclosure Fan #0 Status(RPM)'">
	             <xsl:value-of select="position()"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="temperaturevalue_sid">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Power Supply Temperature0(C)'">
	             <xsl:value-of select="position()"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="voltagevalue_sid">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Power Supply 3.3V Output(mv)'">
	             <xsl:value-of select="position()"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="fanstatus">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Enclosure Fan #0 Status'">
	             <xsl:value-of select="position()"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="num_fan">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Fan Count'">
	             <xsl:value-of select="valuestring"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="alarm_temper">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Enclosure Temperature Threshold'">
	             <xsl:value-of select="valuestring"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="enclosure_temper">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Enclosure Temperature(C)'">
	             <xsl:value-of select="valuestring"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable> 
	<xsl:variable name="pow_model">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Power Supply Vendor/Model'">
	             <xsl:value-of select="valuestring"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="indexbuzzer">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Mute Buzzer for temperature'">
	             <xsl:value-of select="index"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>    
	<xsl:variable name="valuebuzzer">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	          <xsl:if test="name='Mute Buzzer for temperature'">
	             <xsl:value-of select="value"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="oldname">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	          <xsl:if test="name='Mute Buzzer for temperature'">
	             <xsl:value-of select="name"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>               
	<xsl:template match="/">
		<html>
		        <SCRIPT language="Javascript">
		        //#C43100
		        var islogin="<xsl:value-of select="login"/>";
		        function reloadi2c(){
	                   document.location = document.location;
	                   setTimeout("reloadi2c()", 20000);
                        }
                        function initi2c() {
	                  if(islogin!="no"){
  		               setTimeout("reloadi2c()", 20000);
	                  }
	                  <xsl:for-each select="hpt_raidman_page/messages/message">
		               <xsl:if test="@type='error'">ShowMessage("error","<xsl:value-of select="."/>");</xsl:if>
		               <xsl:if test="@type='info'">ShowMessage("info","<xsl:value-of select="."/>");</xsl:if>
		               <xsl:if test="@type='warn'">ShowMessage("warn","<xsl:value-of select="."/>");</xsl:if>
	                   </xsl:for-each>
                        }
		        function I2csep_Refresh()
		        {
		            var theform = document.forms['i2csepform'];
		           
		            theform.submit();
		            return true;
		        }
			function checkPar()
			{
			
			  var theform=document.forms['threshold']
			  if(theform.valuethreshold.value=="")
			  {
			     alert("please input parameter.");
			     return false;
			  }
			 var low=theform.valuelow.value;
			 var high=theform.valuehigh.value;
			 var value=theform.valuethreshold.value;
			 for (i=0;i!=value.length;i++)
			 {
			    if((value.substr(i,1)&gt;'9')||(value.substr(i,1)&lt;'0'))
			    {
			       alert("please input parameter from "+low+" to "+high);
			       theform.valuethreshold.value="";
			       theform.valuethreshold.focus();
			       return false;
			     }
			 }   
			 if((parseInt(value)&lt;parseInt(low))||(parseInt(value)&gt;parseInt(high)))
			 {
			     alert("please input parameter from "+low+" to "+high);
			     theform.valuethreshold.value="";
			     theform.valuethreshold.focus();
			     return false;
			 }
			 return true;
			}
			</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="initi2c();">
			    <p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td class="content">
								<table width="100%">
								        <tr></tr>
								        <tr><button onclick="I2csep_Refresh()" > Refresh</button></tr>
									<tr></tr>
									<tr>
										<td class="title" align="center">SAF-TE Enclosure Information</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
						    <td class="head">Health Information(Enclosure and Power Supply)
							</td>
						</tr>
						<tr>
						    <td class="head">Enclosure Information:
							</td>
						</tr>
						<tr>
						    <td class="content">(Enclosure Temperature):
							</td>
						</tr>							     
                                                <tr> 
						    <td>
							     <table border="1" cellpadding="1" cellspacing="1">
								        <tr>
										  <td>
										     <table border="0">
								                              <tr>
									                                  <td align="center" bgcolor="#FBDBD2">
									                                                    <xsl:if test="number($enclosure_temper)&lt;number($alarm_temper)">
											                                    Status:Good!
											                                    </xsl:if>
											                                    <xsl:if test="number($enclosure_temper)&gt;=number($alarm_temper)">
											                                    Status:Caution!Hot!
											                                    </xsl:if>
											                  </td>
									                      </tr>
									                   
								                              <tr>
									                                   <td width="256" height="42">
									                                   	<xsl:attribute name="background">
									  					  <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
									  					     <xsl:if test="name='Enclosure Temperature(C)'">
									                                   			<xsl:value-of select="index"/>
									                                   	     </xsl:if>
									 					   </xsl:for-each>.bmp
									                                   	</xsl:attribute>  
									                                   
											                   </td>
									                      </tr>
									                      <tr>
									                                   <td>
									                                          <table>
									                                               <tr>
									                                                     <td width="80%"/>
									                                                     <td align="center" bgcolor="#FBDBD2">
									                                                         <xsl:value-of select="$enclosure_temper"/>C
									                                                     </td>
									                                                  
									                                               </tr>
									                                         </table>
									                                  </td>
									                                 
									                      </tr>
								                      </table>
										 </td>
									    <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
									       <xsl:if test="name='Enclosure Temperature Threshold'">
										 <td bgcolor="#6633FF">
										  <table border="0"><tr><td>
										  <form action="i2csep.cgi?userid={../../session/session_id}" method="POST">
										  <input type="hidden" name="indexbuzzer" value="{$indexbuzzer}" />
										  <input type="hidden" name="oldname" value="{$oldname}" />
										    <table border="0">
										       <tr>
										          <td>
										             <input type="submit" name="submit" value="Mute Buzzer" style="background:#969AA0;"/>
										           </td>
										        </tr>
										     </table></form>
										     </td></tr><tr><td>
										    <form action="i2csep.cgi?userid={../../session/session_id}" name="threshold" method="POST" onsubmit="return checkPar();">
										      <input type="hidden" name="func" value="ChangeValue"/>
										      <input type="hidden" name="indexthreshold" value="{index}"/>
										      <input type="hidden" name="valuehigh" value="{valuehigh}" />
									              <input type="hidden" name="valuelow" value="{valuelow}" />
									              <input type="hidden" name="oldvalue" value="{value}" />
									              <input type="hidden" name="oldname" value="{name}" />
										      <table boder="0">
										           <tr>
										               <td class="content">Temperature Threshold: </td>
										           </tr>
										           <tr>
										               <td align="center">
										                  <input type="text" name="valuethreshold" value="{value}" style="background:#969AA0;" size="3" maxlength="4"/>C
										               </td>
										           </tr>
										           
										           <tr>
										             
										               <td align="center">
										                  <input type="submit" name="submit" value="Enter" style="background:#969AA0;"/>
										               </td>
										           </tr>
										      </table>
										    </form></td></tr></table>
									          </td>
									        </xsl:if>
									    </xsl:for-each>
									</tr>
							       </table>
							</td>
						</tr>
						<tr><td height="15"></td></tr>
						<tr>
						    <td class="content">(Enclosure Fan Status(RPM)):
						    </td>
						</tr>
						<tr> 
						    <td>
							     <table border="0">
								        <tr>
									     <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	                                                                        <xsl:if test="position()&gt;=number($enclosurefan_sid)">
	                                                                         <xsl:if test="position()&lt;(number($enclosurefan_sid) + number($num_fan))">
										   <xsl:if test="position() mod (number($enclosurefan_sid)+3)=0">
										    <tr/>
										   </xsl:if>
										  <td>
										     <table border="1" cellpadding="1" cellspacing="1">
								                              <tr>
									                                   <td align="center" bgcolor="#FBDBD2" class="content">Fan
											                                    
                                                                                                                               <xsl:value-of select="position()-number($enclosurefan_sid)+1"/>
                                                                                                                            
											                   </td>
									                      </tr>
								                              <tr>
									                                   <td width="120" height="120" >
									                                   <xsl:if test="value!='0'">
							                                                       <xsl:attribute name="background">
									                                   			<xsl:value-of select="index"/>.bmp
									                                   	</xsl:attribute>  
									                                   </xsl:if>	
									                                   <xsl:if test="value='0'">
									                                   	<xsl:attribute name="background">
									                                   	<xsl:call-template name="fan_status">
														      <xsl:with-param name="name"><xsl:value-of select="name"/></xsl:with-param>
														 </xsl:call-template>
									                                   	</xsl:attribute>  
									                                   </xsl:if>  
											                   </td>
									                      </tr>
									                      <tr>
									                          <td>
									                              <table>
									                                 <tr>
									                                   <td width="30%"/>
									                                   <td align="center" bgcolor="#FBDBD2" width="30%">
									                                    <xsl:value-of select="valuestring"/>RPM
									                                   </td>
									                                   <td/>
									                                  </tr>
									                              </table>
									                           </td>
									                      </tr>
								                      </table>
										 </td>
										</xsl:if>
									      </xsl:if>
									    </xsl:for-each>
									</tr>
							       </table>
							</td>
						</tr>
						<tr><td height="15"></td></tr>
						<tr>
						        <td class="content">(Enclosure hard disk status):
						        </td>
						</tr>
						<tr>
						        <td>
						                 <table border="1" cellpadding="1" cellspacing="1">
						                        <tr>
						                         <xsl:for-each select="hpt_raidman_page/hpt_raid/slot">
						                            <td>
						                                <table border="0">
						                                      <tr>
						                                          <td>
						                                             <xsl:if test="status='broken'">
						                                                  <img src="diskbroken.gif" width="50" height="95"/> 
						                                             </xsl:if>
						                                             <xsl:if test="status!='broken'">
						                                                  <img src="diskgood.gif" width="50" height="95"/> 
						                                             </xsl:if>
						                                          </td>
						                                        </tr>
						                                        <tr>
						                                           <td align="center">
						                                               <xsl:value-of select="location"/>
						                                           </td>
						                                        </tr>
						                                 </table>
						                             </td>
						                            </xsl:for-each>
						                          </tr>
						                  </table>
						        </td>
						</tr>
						<tr><td height="15"></td></tr>
						<tr>
						        <td>
						               <hr/>
						        </td>
						</tr>
						<tr>
						    <td class="head">Power Supply Information:
						    </td>
						</tr>
					   <xsl:if test="$pow_model='Not Installed'">
						<tr>
						    <td class="content">Power Supply IS Not Installed!
						    </td>
						</tr>
				           </xsl:if>
					   <xsl:if test="$pow_model!='Not Installed'">
                                                <tr>
                                                        <td class="content">
                                                        Power Supply Model: <xsl:value-of select="$pow_model"/>    
                                                        </td>
                                                </tr>
                                                <tr> 
                                                    <td class="content">
                                                        <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
                                                            <xsl:if test="name='Power Supply Status'">
                                                               Power Supply Status: <xsl:value-of select="valuestring"/>
                                                            </xsl:if>
                                                        </xsl:for-each>
                                                    </td>
                                                </tr>											
						<tr>
						    <td class="content">(Power Supply Temperature)
						    </td>
						</tr>							     
                                                <tr> 
						    <td>
							     <table border="1" cellpadding="1" cellspacing="1">
								        <tr>
									      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
									
	                                                                        <xsl:if test="position()&gt;=number($temperaturevalue_sid)">
	                                                                         <xsl:if test="position()&lt;(number($temperaturevalue_sid) + 2)">
										  <xsl:if test="position()&gt;=(number($temperaturevalue_sid)+3)">
										  <tr/>
										  </xsl:if>
										  <td>
										     <table border="0">
								                              <tr>
									                                  <td align="center" class="content" bgcolor="#FBDBD2">
											                                    
											                                    <xsl:if test="number(valuestring)&lt;number($alarm_temper)">
											                                       Status:Good!
											                                    </xsl:if>
											                                    <xsl:if test="number(valuestring)&gt;=number($alarm_temper)">
											                                       Status:Caution!Hot!
											                                    </xsl:if>
											                                      
											                  </td>
									                      </tr>
								                              
								                              <tr>
									                                   <td width="256" height="42">
									                                   	<xsl:attribute name="background">
									  					  <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
									  					     <xsl:if test="name='Enclosure Temperature(C)'">
									                                   			<xsl:value-of select="index"/>
									                                   	     </xsl:if>
									 					   </xsl:for-each>.bmp
									                                   	</xsl:attribute>  
											                   </td>
									                      </tr>
									                      <tr>
									                                   <td>
									                                          <table>
									                                               <tr>
									                                                     <td width="80%"/>
									                                                     <td align="center" bgcolor="#FBDBD2">
									                                                         <xsl:value-of select="valuestring"/>C
									                                                     </td>
									                                                    
									                                               </tr>
									                                         </table>
									                                  </td>
									                      </tr>
									                      <tr>
									                                  <td class="content">Power Supply
									                                         <xsl:value-of select="position()-number($temperaturevalue_sid)"/>
									                                  </td>
									                      </tr>
								                      </table>
										 </td>
										</xsl:if>
									       </xsl:if>
									      </xsl:for-each>
									</tr>
							       </table>
							</td>
						</tr>
                                                <tr><td height="15"></td></tr>
                                                <tr>
                                                        <td class="content">(Power Supply Voltage)
                                                        </td>
                                                </tr>
                                                <tr> 
						    <td>
							     <table border="1" cellpadding="1" cellspacing="1">
								        <tr>
									      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
									
	                                                                        <xsl:if test="position()&gt;=number($voltagevalue_sid)">
	                                                                         <xsl:if test="position()&lt;(number($voltagevalue_sid) + 4)">
										  <xsl:if test="position() mod (number($voltagevalue_sid)+4)=0">
										  <tr/>
										  </xsl:if>
										  <td>
										     <table border="0">
								                              <tr>
								                                <td align="center">
								                                       <xsl:if test="position()=number($voltagevalue_sid)">
                                                                                                       3.3V Output
                                                                                                       </xsl:if>
                                                                                                       <xsl:if test="position()=number($voltagevalue_sid)+1">
                                                                                                       5V Output
                                                                                                       </xsl:if>
                                                                                                       <xsl:if test="position()=number($voltagevalue_sid)+2">
                                                                                                       12V Output
                                                                                                       </xsl:if>
                                                                                                       <xsl:if test="position()=number($voltagevalue_sid)+3">
                                                                                                       5Vsb Output
                                                                                                       </xsl:if>
                                                                                                </td>
                                                                                              </tr>
                                                                                              <tr>
									                                   <td>
									                                   <xsl:if test="value!='0'">
							                                                       <xsl:attribute name="background">
									                                   			<xsl:value-of select="index"/>.bmp
									                                   	</xsl:attribute>  
									                                   </xsl:if>	
									                                   <xsl:if test="value!='0'">
							                                                       <xsl:attribute name="background">
									                                   			voltage_broken.gif
									                                   	</xsl:attribute>  
									                                   </xsl:if>
											                   </td>
									                      </tr>
									                      <tr>
									                            <td>
									                              <table>
									                                 <tr>
									                                   <td width="50%"/>
									                                   <td align="center" bgcolor="#FDDBD2">
                                                                                                                 <xsl:value-of select="number(valuestring) div 1000"/>V            
											                   </td>
											                 </tr>
											              </table>
											            </td>
									                      </tr>
								                      </table>
										 </td>
										</xsl:if>
										</xsl:if>
									      </xsl:for-each>
									</tr>
							       </table>
							</td>
						</tr>
						<tr><td height="15"></td></tr>
						<tr>
						    <td class="content">(Power Supply Fan Status):
						    </td>
						</tr>
						<tr> 
						    <td>
							     <table border="0">
								        <tr>
									     <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	                                                                        <xsl:if test="position()&gt;=number($powerfan_sid)">
	                                                                         <xsl:if test="position()&lt;(number($powerfan_sid) + 3)">
										   <xsl:if test="position() mod (number($powerfan_sid)+3)=0">
										    <tr/>
										   </xsl:if>
										  <td>
										     <table border="1" cellpadding="1" cellspacing="1">
								                              <tr>
									                                   
											                   <td align="center" class="content">Fan
                                                                                                                               <xsl:value-of select="position()-number($powerfan_sid)+1"/>
											                   </td>
											                  
									                      </tr>
								                              <tr>
									                                   <td width="120" height="120">
							                                                          <xsl:if test="value='0'">
							                                                       		<xsl:attribute name="background">
									                                   			fanok.bmp
									                                   		</xsl:attribute>  
									                                   	</xsl:if>
									                                   	<xsl:if test="value!='0'">
							                                                       		<xsl:attribute name="background">
									                                   			fanfail.bmp
									                                   		</xsl:attribute>  
									                                   	</xsl:if>
											                   </td>
									                      </tr>
								                      </table>
										 </td>
										</xsl:if>
									      </xsl:if>
									    </xsl:for-each>
									</tr>
							       </table>
							</td>
						</tr>
					   </xsl:if>
					        <tr>
					                <td class="head">SAF-TE Firmware Version : 
					                        <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
					                          <xsl:if test="position()&gt;=number($firmware_sid)">
					                            <xsl:if test="position()&lt;(number($firmware_sid)+3)">
					                               <xsl:value-of select="value"/>.
					                            </xsl:if>
					                            <xsl:if test="position()=(number($firmware_sid)+3)">
					                               <xsl:value-of select="value"/>
					                            </xsl:if>
					                          </xsl:if>
					                        </xsl:for-each>
					                 </td>
					        </tr>	
                                                <tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
						<tr>
							<td>
								<form action="i2csep.cgi?userid={hpt_raidman_page/session/session_id}" name="i2csepform" method="POST">
									<input type="hidden" name="func" value="Func ID"/>
								</form>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="fan_status">
	  <xsl:param name="name"></xsl:param>
	  <xsl:for-each select="../attribute">
	     <xsl:if test="$name='Enclosure Fan #0 Status(RPM)'">
	      <xsl:if test="name='Enclosure Fan #0 Status'">
	        <xsl:if test="value!=0">fan_broken.gif</xsl:if>
	        <xsl:if test="value=0">fan_noattach.gif</xsl:if>
	      </xsl:if>
	     </xsl:if>
	     <xsl:if test="$name='Enclosure Fan #1 Status(RPM)'">
	      <xsl:if test="name='Enclosure Fan #1 Status'">
	        <xsl:if test="value!=0">fan_broken.gif</xsl:if>
	        <xsl:if test="value=0">fan_noattach.gif</xsl:if>
	      </xsl:if>
	     </xsl:if>
	     <xsl:if test="$name='Enclosure Fan #2 Status(RPM)'">
	      <xsl:if test="name='Enclosure Fan #2 Status'">
	        <xsl:if test="value!=0">fan_broken.gif</xsl:if>
	        <xsl:if test="value=0">fan_noattach.gif</xsl:if>
	      </xsl:if>
	     </xsl:if>
	     <xsl:if test="$name='Enclosure Fan #3 Status(RPM)'">
	      <xsl:if test="name='Enclosure Fan #3 Status'">
	        <xsl:if test="value!=0">fan_broken.gif</xsl:if>
	        <xsl:if test="value=0">fan_noattach.gif</xsl:if>
	      </xsl:if>
	     </xsl:if>
	     <xsl:if test="$name='Enclosure Fan #4 Status(RPM)'">
	      <xsl:if test="name='Enclosure Fan #4 Status'">
	        <xsl:if test="value!=0">fan_broken.gif</xsl:if>
	        <xsl:if test="value=0">fan_noattach.gif</xsl:if>
	      </xsl:if>
	     </xsl:if>
	     <xsl:if test="$name='Enclosure Fan #5 Status(RPM)'">
	      <xsl:if test="name='Enclosure Fan #5 Status'">
	        <xsl:if test="value!=0">fan_broken.gif</xsl:if>
	        <xsl:if test="value=0">fan_noattach.gif</xsl:if>
	      </xsl:if>
	     </xsl:if>
	  </xsl:for-each>
        </xsl:template> 
</xsl:stylesheet>