<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="pagewidth">659</xsl:variable>
	<xsl:variable name="basecolor">#008fdb</xsl:variable>
	<xsl:variable name="menubgcolor">#008fdb</xsl:variable>
	<xsl:variable name="menuselcolor">#FFCC00</xsl:variable>
	<xsl:variable name="menubdcolor">#FFCC00</xsl:variable>
	<xsl:variable name="labelbtnbgcolor">#ffffff</xsl:variable>
	<xsl:variable name="labelbtnselcolor">#FFCC00</xsl:variable>
	
	<xsl:template match="session"><STYLE type="text/css">TD {
	FONT-SIZE: 12px
}
TD.title {  padding-top:4px; padding-bottom:4px;
	FONT-WEIGHT: bold; FONT-SIZE: 12pt; COLOR: #ffffff; FONT-FAMILY: Verdana, Arial; BACKGROUND-COLOR: <xsl:value-of select="$basecolor"/>
}
TH.title {
	FONT-WEIGHT: bold; FONT-SIZE: 12pt; COLOR: #ffffff; FONT-FAMILY: Verdana, Arial; BACKGROUND-COLOR: <xsl:value-of select="$basecolor"/>
}
TD.content {
	FONT-SIZE: 8pt; COLOR: #000000; FONT-FAMILY: Verdana,Arial;
}
FONT.error {
	FONT-WEIGHT: bold; FONT-SIZE:12pt; COLOR: #CC0000; FONT-FAMILY: Verdana,Arial;
}
FONT.info {
	FONT-WEIGHT: bold; FONT-SIZE:12pt; COLOR: #000000; FONT-FAMILY: Verdana,Arial;
}
FONT.warn {
	FONT-WEIGHT: bold; FONT-SIZE:12pt; COLOR: #FFFF00; FONT-FAMILY: Verdana,Arial;
}
FONT.title {
	FONT-WEIGHT: bold; FONT-SIZE:12pt; COLOR: #FFFFFF; FONT-FAMILY: Verdana,Arial;
}
FONT.devattribute {
	FONT-WEIGHT: bold; FONT-SIZE:8pt; COLOR: #000080; FONT-FAMILY: Verdana,Arial;
}
FONT.menu {
	FONT-WEIGHT: bold; FONT-SIZE:10pt; COLOR: #FFFFFF; FONT-FAMILY: Verdana,Arial;
}
FONT.labelbtn {
	FONT-WEIGHT: bold; FONT-SIZE:8pt; COLOR: #0000FF; FONT-FAMILY: Verdana,Arial;
}
FONT.copyright{
	FONT-SIZE: 8pt; COLOR: #000000; FONT-FAMILY: Verdana,Arial;
}
TD.head{
	FONT-WEIGHT: bold; FONT-SIZE: 10pt; COLOR: #000000; FONT-FAMILY: Verdana,Arial;
}
TD.diskattrname{
	FONT-WEIGHT: bold; FONT-SIZE:8pt; COLOR: #000080; FONT-FAMILY: Verdana,Arial;
	}
FONT.normal{
	FONT-WEIGHT: bold;FONT-SIZE: 8pt; COLOR: #00CC00; FONT-FAMILY: Verdana,Arial;
}
FONT.critical{
	FONT-WEIGHT: bold;FONT-SIZE: 8pt; COLOR: #CC0000; FONT-FAMILY: Verdana,Arial;
}
FONT.highlight{
	FONT-WEIGHT: bold; FONT-SIZE:12pt; COLOR: #000080; FONT-FAMILY: Verdana,Arial;
}

body, div, dl, dt, dd, ul, ol, li, h1, h2, h3, h4, h5, h6, form, input, button, textarea, p, th, td { margin:0; padding:0; }
body { font:11px/16px Verdana, Geneva, sans-serif; }
img { border:0; }
li { list-style:none; vertical-align:bottom; padding:0px; margin:0px;}
a { text-decoration:none; }
h1, h2, h3, h4, h5, h6 { font-size:100%;}
.fix { clear:both; zoom:1; }
.fix:after { display:block; clear:both; height:0; overflow:hidden; visibility:hidden; content:"."; } 
.header { width:960px; margin:0 auto; }
.logo { float:right; padding-left:30px}
.nav { width:798px;position:relative; padding:0 10px; border:1px solid #ccc; background:url(navlibg.gif) repeat-x 0 -37px;}
.sel { position:absolute; float:none; right:20px; top:8px;}
.nav li{ float:left;  }
.nav li a { display:inline-block; padding-left:20px; color:#008fdb; text-decoration:none;  }
.nav li span { display:inline-block; height:36px; padding-right:20px; line-height:36px;font-weight: bold }
.nav li a:hover { background:url(navlibg.gif) no-repeat left top; color:#008fdb;; }
.nav li a:hover span { background:url(navlibg.gif) no-repeat  right  top; color:#008fdb;}

.left { height:400px; float:left; width:400px; min-height:400px; _height:400px; border:1px solid #666666; margin-left:0px;}
.right {height:400px; float:right; width:400px; min-height:400px; _height:400px; border:1px solid #666666; margin-right:0px;}
.left .t1 {color:#fff; font-size:16px; font-weight:700; padding-bottom:4px; padding-top:4px; padding-left:8px; background-color:#008fdb; height:25px;}
.right .t1 {color:#fff; font-size:16px; font-weight:700; padding-bottom:4px; padding-top:4px; padding-left:8px; background-color:#008fdb; height:25px;}
.t2 { font-size:12px; font-weight:600;}
.t3 { font-size:12px; font-weight:600;}

.aside h3 {color:#008fdb; font: 11px/16px Verdana, Geneva, sans-serif; font-weight: bold}
.aside h3 a {color:#008fdb; display:inline-block; width:118px; height:24px; line-height:24px; padding:0 5px; border:1px solid #fff;  border-bottom:1px solid #ccc; }
.aside h4 { font:700 12px Arial, Helvetica, sans-serif;}
.aside h4 a { display:inline-block; width:163px; height:24px; line-height:24px;  padding:0 5px 0 10px; border:1px solid #fff; border-bottom:1px solid #ccc; }
.aside h3 a:hover, .aside h4 a:hover, .aside li a:hover {color:#008fdb; border:1px solid #ccc; }
.aside ul {color:#008fdb; margin-bottom:5px;}

.aside {float:left; width:140px; padding:5px 5px; min-height:400px;_height:400px; font-weight:700; border:1px solid #ccc;}
.main {float:left; width:659px;}

.aside li {color:#008fdb; font:700 14px Arial, Helvetica,sans-serif;}
.aside li.lv2 {color:#008fdb; font:700 12px Arial, Helvetica, sans-serif;}
.aside li.lv3 {color:#008fdb; font:700 11px Arial, Helvetica, sans-serif;}

.aside li a {color:#008fdb; cursor:pointer; display:inline-block; width:118px; height:24px; line-height:24px; margin:0 5px 0 5px; border:1px solid #fff; border-bottom:1px solid #ccc;}
.aside .lv2 a {color:#008fdb; cursor:pointer; display:inline-block; width:108px; height:24px; line-height:24px; margin:0 5px 0 15px; border:1px solid #fff; border-bottom:1px solid #ccc;}
.aside .lv3 a {color:#008fdb; cursor:pointer; display:inline-block; width:93px; height:24px; line-height:24px; margin:0 5px 0 30px; border:1px solid #fff; border-bottom:1px solid #ccc;}
.aside li.on a {color:#008fdb; border:1px solid #ccc;}

.nav li ul {line-height: 21px; list-style-type: none;text-align:left;width: 110px;}
.nav li ul li{float: left; width: 110px;background:#008FDB;}
.nav li ul a{display: block; width: 106px;text-align:left;padding-left:4px; overflow:hidden;}
.nav li ul a:link {color:#FFFFFF; text-decoration:none;}
.nav li ul a:visited {color:#FFFFFF;text-decoration:none;}
.nav li ul a:hover {color:#F3F3F3;text-decoration:none;font-weight:normal;}


</STYLE>
		
		
		
<SCRIPT language="Javascript">
var IE = (document.all != null);
var userid="<xsl:value-of select="session_id"/>";
var selectvalue="http://"+"<xsl:value-of select="../adapters/hostaddr" />"+"/";
var islogin="<xsl:value-of select="login"/>";
var flag=0;
function reload(){
	document.location = document.location;
	setTimeout("reload()", 3000);
}
function aside_init()
{
	tab(".aside ul",".main","on","click");
}
function initv1() {	
	if(islogin!="no"){
  		//setTimeout("reload()", 3000);
		if(flag == 0)
		{
			sendrequest('1');
			flag = 1;
		}
		else
		{
			setTimeout("sendrequest()", 3000);
		}
	}
	<xsl:for-each select="../messages/message">
		<xsl:if test="@type='error'">ShowMessage("error","<xsl:value-of select="."/>");</xsl:if>
		<xsl:if test="@type='info'">ShowMessage("info","<xsl:value-of select="."/>");</xsl:if>
		<xsl:if test="@type='warn'">ShowMessage("warn","<xsl:value-of select="."/>");</xsl:if>
	</xsl:for-each>
	aside_init();

}
function init() {	
	if(islogin!="no"){
  		//setTimeout("reload()", 3000);
		if(flag == 0)
		{
			sendrequest('1');
			flag = 1;
		}
		else
		{
			setTimeout("sendrequest()", 3000);
		}
		
	}
	<xsl:for-each select="../messages/message">
		<xsl:if test="@type='error'">ShowMessage("error","<xsl:value-of select="."/>");</xsl:if>
		<xsl:if test="@type='info'">ShowMessage("info","<xsl:value-of select="."/>");</xsl:if>
		<xsl:if test="@type='warn'">ShowMessage("warn","<xsl:value-of select="."/>");</xsl:if>
	</xsl:for-each>
}
function init2() { 
	if(islogin!="no"){
	  setTimeout("reload()", 240000);
	}
	<xsl:for-each select="../messages/message">
		<xsl:if test="@type='error'">ShowMessage("error","<xsl:value-of select="."/>");</xsl:if>
		<xsl:if test="@type='info'">ShowMessage("info","<xsl:value-of select="."/>");</xsl:if>
		<xsl:if test="@type='warn'">ShowMessage("warn","<xsl:value-of select="."/>");</xsl:if>
	</xsl:for-each>
}
function go_page(i) {
  var url =  i + ".cgi?"+"userid="+userid;
  HideHint();
  document.location = url;
}
function new_page(i) {
  window.open(i);
}
function logout(i) {
  document.location.href = "login.cgi?func=Logout"+"&amp;userid="+userid;
}

function getImagePageLeft(cell) {
  var IsKonq = (navigator.vendor == 'KDE') ? 1 : 0;
  var x = 0;
  var obj;
  if(IE)
    obj = eval('document.all.' + cell);
  else
    obj = document.getElementById(cell);
  x = obj.offsetLeft;
  while(obj.offsetParent != null) {
    obj = obj.offsetParent;
    x += obj.offsetLeft;
  }
  if(IsKonq == 1)
    x += 5;
  return x;
}
function getImagePageTop(cell) {
  var y = 0;
  var obj;
  if(IE)
    obj = eval('document.all.' + cell);
  else
    obj = document.getElementById(cell);
  y = obj.offsetTop;
  while(obj.offsetParent != null) {
    obj = obj.offsetParent;
    y += obj.offsetTop;
  }
  return y;
}
//show hint function
var onHint = null;
function ShowHint(devid, locationCell) {
  if(!IE)
	return;
  HideHint();
  var tmpObj;
  var x;
  var y;
  x = getImagePageLeft(locationCell)+24;
  y = getImagePageTop(locationCell)+24;
  var divid = "DetailDiv_" +devid;
  if(IE) {
    tmpObj = eval('document.all.' +divid+'.style');
  } else {
    tmpObj = document.getElementById(divid).style;
  }
  tmpObj.left = x;
  tmpObj.top = y;
  tmpObj.visibility = "visible";
  onHint = divid;
}

function HideHint() {
  var tmpObj;
  if(onHint == null)
    return;
  if(IE)
    tmpObj = eval('document.all.' + onHint + '.style');
  else
    tmpObj = document.getElementById(onHint).style;    
  tmpObj.visibility = "hidden";
  onHint = null;
}
//show array popup form to see its details.
function ShowArrayPopup(arrayid) {
  HideArrayPopup(arrayid);
  var tmpObj;
  var x;
  var y;
  x = getImagePageLeft('logicaltitle')+250;
  y = getImagePageTop('logicaltitle')+24;
  var divid = "ArrTreeDiv_"+arrayid;
  if(IE) {
    tmpObj = eval('document.all.' + divid + '.style');
  } else {
    tmpObj = document.getElementById(divid).style;
  }
  /*tmpObj.left = x;
  tmpObj.top = y;*/
  tmpObj.visibility = "visible";
}
function HideArrayPopup(arrayid) {
  var tmpObj;
  var divid = "ArrTreeDiv_"+arrayid;
  if(IE)
    tmpObj = eval('document.all.' + divid + '.style');
  else
    tmpObj = document.getElementById(divid).style;    
  tmpObj.visibility = "hidden";
}
function ShowI2cPopup(I2cindex) {
  var tmpObj;
  var divid = "I2csep_"+I2cindex;
  if(IE) {
    tmpObj = eval('document.all.' + divid + '.style');
  } else {
    tmpObj = document.getElementById(divid).style;
  }
  tmpObj.visibility = "visible";

}
function HideI2cPopup(I2cindex) {
  var tmpObj;
  var divid = "I2csep_"+I2cindex;
  if(IE) {
    tmpObj = eval('document.all.' + divid + '.style');
  } else {
    tmpObj = document.getElementById(divid).style;
  }
  tmpObj.visibility = "hidden";
}
//Show menu function
var menuactive = 0;
var timeon = null;
var onmenu = null;
var overitem = ""
function OverItem2sm() {
  var tmpObj;
  tmpObj = document.getElementById("shibutton");
  tmpObj.bgColor = "#FFCC00";
}
function OutItem2sm() {
  var tmpObj;
  timerHideMenu();
  tmpObj = document.getElementById("shibutton");
  tmpObj.bgColor = "#ffffff";
}
function ShowMenu(menuname, menucell) {
  HideMenu();
  var tmpObj;
  var x;
  var y;
  x = getImagePageLeft(menucell)-1;
  y = getImagePageTop(menucell) + 16;
  if(IE) {
    tmpObj = eval('document.all.' + menuname + '.style');
  } else {
	tmpObj = document.getElementById(menuname).style;
  }
  tmpObj.left = x;
  tmpObj.top = y;
  tmpObj.visibility = "visible";
  mnuactive = 1;
  onmenu = menuname;
}
function HideMenu() {
  var tmpObj;
  if(onmenu == null)
    return;
  if(IE)
    tmpObj = eval('document.all.' + onmenu + '.style');
  else
    tmpObj = document.getElementById(onmenu).style;    
  tmpObj.visibility = "hidden";
  clearTimeout(timeon);
  onmenu = null;
}
function show_menu()
{
	var tmpObj;
	if(IE)
	{
    	tmpObj = eval('document.all.helplist.style');
	}
	else
    	tmpObj = document.getElementById("helplist").style;
	tmpObj.display = "block";
}
function hide_menu()
{
	var tmpObj;
	if(IE)
    	tmpObj = eval('document.all.helplist.style');
	else
    	tmpObj = document.getElementById("helplist").style;
	tmpObj.display = "none";
}


function timerHideMenu() {
  if(menuactive == 0)
    timeon = setTimeout("HideMenu()", 400);
}
function OverItem(item, level) {
  var tmpObj;
  if( (overitem == item) || (level > 0) )
    clearTimeout(timeon);
  overitem = item;
  if(IE)
    tmpObj = eval('document.all.' + item);
  else
    tmpObj = document.getElementById(item);
  tmpObj.bgColor = '<xsl:value-of select="$menuselcolor"/>';
}
function OutItem(item, level) {
  var tmpObj;
  if(level > 0)
    menuactive = 0;
  if(onmenu != null)
    timerHideMenu();
  if(IE)
    tmpObj = eval('document.all.' + item);
  else
    tmpObj = document.getElementById(item);
  tmpObj.bgColor = '<xsl:value-of select="$basecolor"/>';
}
function OverLabelBtn(item) {
  var tmpObj;
  if(IE)
    tmpObj = eval('document.all.' + item);
  else
    tmpObj = document.getElementById(item);
  tmpObj.bgColor = '<xsl:value-of select="$labelbtnselcolor"/>';
}
function OutLabelBtn(item) {
  var tmpObj;
  if(IE)
    tmpObj = eval('document.all.' + item);
  else
    tmpObj = document.getElementById(item);
  tmpObj.bgColor = '<xsl:value-of select="$labelbtnbgcolor"/>';
}

function OverI2cBtn(item) {
   var tmpObj;
  
    tmpObj = document.getElementById(item);

  tmpObj.bgColor = '<xsl:value-of select="$labelbtnselcolor"/>';
}
function OutI2cBtn(item,level) {
  var tmpObj;
   
    tmpObj = document.getElementById(item);   
  tmpObj.bgColor =  '<xsl:value-of select="$labelbtnbgcolor"/>';
}
function ShowMessage(type,msg){
	alert(msg);
}

function test()  
{  
var targetSlect=document.getElementById("sel");  
var targetHref=targetSlect.options[targetSlect.selectedIndex].value;  
document.location.href=selectvalue+targetSlect.selectedIndex+"/global.cgi?userid="+userid;  
}  

function loadevent(url)
{
	var xmlhttp;
	var x;
	if (window.XMLHttpRequest)
	{// code for IE7+, Firefox, Chrome, Opera, Safari
	  xmlhttp=new XMLHttpRequest();
	}
	else
	{// code for IE6, IE5
	  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange=function()
	{
	  if (xmlhttp.readyState==4 &amp;&amp; xmlhttp.status==200)
	  {
			if((x=xmlhttp.responseXML.documentElement.getElementsByTagName("event_id")[0]))
			{
				if(x.childNodes[0].nodeValue == 1)
				{
					if(document.location.href.indexOf("func=ClearEvent") &gt; 0 || document.location.href.indexOf("func=ShowAddDisk") &gt; 0)
						document.location = "http://"+document.location.host+document.location.pathname+"?userid="+userid;
					else
					{
						if(document.location.href.length == document.location.href.indexOf("#")+1)
							document.location = document.location.href.slice(0,  document.location.href.indexOf("#"));
						else
							document.location = document.location.href;
					}
				}
			}
			setTimeout("sendrequest()", 3000);
	  }
	}
	xmlhttp.open("GET",url,true);
	xmlhttp.send();
}

function sendrequest(id)
{
	var xmlhttp;
	if(id  == 1)
	{
		url = "ajaxgetevent.cgi?func=ajaxgetevent.cgi&amp;userid="+userid+"&amp;t="+Math.random();
	}
	else
	{
		url = "ajaxgetevent.cgi?userid="+userid+"&amp;t="+Math.random();
	}
	loadevent(url);


}


</SCRIPT>
	
	</xsl:template>
	<xsl:template name="DrawPageTail">
		<hr/>
		<font class="copyright">
			<p>HighPoint RAID Management <xsl:value-of select="hpt_raidman_page/session/server_version"/></p>
			<p>Copyright (c) 1996-2017 HighPoint Technologies, Inc. All Rights Reserved</p>
		</font>
	</xsl:template>
    
    
    <xsl:template name="AsideMenu">
		
  			<DIV class="aside" style="position:relative;"> 
                <ul>
                <li><a>
                	<xsl:for-each select="adapters/controllers/controller">
                    <xsl:if test="count(@active)=1" >
                	<xsl:attribute name="href">
						arrman.cgi?func=ShowCreate&amp;userid=<xsl:value-of select="../../../session/session_id" />
                    </xsl:attribute>
                    Create Array
                    </xsl:if>
                    </xsl:for-each>
                </a></li>
                <li><a>
                	<xsl:for-each select="adapters/controllers/controller">
                    <xsl:if test="count(@active)=1" >
                	<xsl:attribute name="href">
						spareman.cgi?userid=<xsl:value-of select="../../../session/session_id" />
                    </xsl:attribute>
                    Spare Pool
                    </xsl:if>
                    </xsl:for-each>
                </a></li>
                <li><a>
                	<xsl:for-each select="adapters/controllers/controller">
                    <xsl:if test="count(@active)=1" >
                	<xsl:attribute name="href">
						arrman.cgi.cgi?userid=<xsl:value-of select="../../../session/session_id" />
                    </xsl:attribute>
                	Logical Device
                    </xsl:if>
                    </xsl:for-each>
                </a></li>
                <li><a href="#">
                	<xsl:attribute name="onclick">Arrman_Rescan()</xsl:attribute>
                    Rescan
                </a></li>
                <li><a href="#">
                	<xsl:attribute name="onclick">Arrman_Mute()</xsl:attribute>
                    Beeper Mute
                </a></li>
                	
                </ul>
  			</DIV>
 			
	</xsl:template>
    
    

	<xsl:template match="hpt_raidman_page/messages">
		<!--xsl:for-each select="message">
		<p>
		<xsl:if test="@type='error'">
			<font class="error">Error:<xsl:value-of select="."/></font>
		</xsl:if>
		<xsl:if test="@type='info'">
			<font class="info">Information:<xsl:value-of select="."/></font>
		</xsl:if>
		<xsl:if test="@type='warn'">
			<font class="warn">Warning:<xsl:value-of select="."/></font>
		</xsl:if>
		</p>
	</xsl:for-each>
		<hr/-->
	</xsl:template>
	<xsl:template name="DrawTopMenu">
		<TABLE border="0" width="759" id="table2" background="banner1.gif" height="50" cellpadding="0" cellspacing="0">
			<TR>
				<TD>
					<TABLE border="0" width="100%" id="table2" height="50" cellpadding="0" cellspacing="0">
						<TR>
							<TD width="420" height="25"><img width="0" align="right"/></TD>
							<TD width="339" height="25"></TD>
						</TR>
						<TR>
							<TD height="25">
								<TABLE cellSpacing="0" bgColor="{$menubgcolor}" width="490" border="0" borderColor="{$menubdcolor}" cellPadding="0" id="table3">
									<TBODY>
										<!--tr>
											<td id="arrman" width="60" onmouseout="OutItem('arrman',1);return true;" onclick="go_page('arrman')" style="cursor: pointer; text-align: center" onmouseover="OverItem('arrman',1);return true;">
												<font class="menu">Array</font>
											</td>
											<td id="devman" width="60" onmouseout="OutItem('devman',1);return true;" onclick="go_page('devman')" style="cursor: pointer; text-align: center" onmouseover="OverItem('devman',1);return true;">
												<font class="menu">Device</font>
											</td>
											<td id="spare" width="60" onmouseout="OutItem('spare',1);return true;" onclick="go_page('spare')" style="cursor: pointer; text-align: center" onmouseover="OverItem('spare',1);return true;">
												<font class="menu">Spare</font>
											</td>
											<td id="I2csep" width="60" onmouseout="OutItem('I2csep',1);return true;" onclick="go_page('i2csep')" style="cursor: pointer; text-align: center" onmouseover="OverItem('i2csep',1);return true;">
												<font class="menu">I2c</font>
											</td>
											<td id="task" width="60" onmouseout="OutItem('task',1);return true;" onclick="go_page('task')" style="cursor: pointer; text-align: center" onmouseover="OverItem('task',1); return true;">
												<font class="menu">Task</font>
											</td>
											<td id="event" width="60" onmouseout="OutItem('event',1);return true;" onclick="go_page('event')" style="cursor: pointer; text-align: center" onmouseover="OverItem('event',1); return true;">
												<font class="menu">Event</font>
											</td>
											<td id="setting" width="60" onmouseout="OutItem('setting',1);return true;" onclick="go_page('setting')" style="cursor: pointer; text-align: center" onmouseover="OverItem('setting',1);return true;">
												<font class="menu">Setting</font>
											</td>
											<td id="logout" width="60" onmouseout="OutItem('logout',1);return true;" onclick="logout();" style="cursor: pointer; text-align: center" onmouseover="OverItem('logout',1);return true;">
												<font class="menu">Logout</font>
											</td>
										</tr-->
										<TR>
											<TD id="manage" width="17%" onmouseout="OutItem('manage',1);return true;" style="cursor: pointer; text-align: center" onmouseover="OverItem('manage',1); ShowMenu('menu1','manage');return true;">
												<font class="menu">Manage</font>
											</TD>
											<TD id="Event" width="17%" onmouseout="OutItem('Event',1);return true;" onclick="go_page('event')" style="cursor: pointer; text-align: center" onmouseover="OverItem('Event',1);HideMenu();return true;">
												<font class="menu">Event</font>
											</TD>
											<TD id="task" width="17%" onmouseout="OutItem('task',1);return true;" onclick="go_page('task')" style="cursor: pointer; text-align: center" onmouseover="OverItem('task',1);HideMenu();return true;">
												<font class="menu">Task</font>
											</TD>
											<TD id="setting" width="17%" onmouseout="OutItem('setting',1);return true;" onclick="go_page('setting')" style="cursor: pointer; text-align: center" onmouseover="OverItem('setting',1);HideMenu();return true;">
												<font class="menu">Setting</font>
											</TD>
											<TD id="logout" width="17%" onmouseout="OutItem('logout',1);return true;" onclick="logout()" style="cursor: pointer; text-align: center" onmouseover="OverItem('logout',1);HideMenu();return true;">
												<font class="menu">Logout</font>
											</TD>
											<TD id="help" width="17%" onmouseout="OutItem('help',1);return true;" onclick="new_page('helpindex.htm')" style="cursor: pointer; text-align: center" onmouseover="OverItem('help',1);HideMenu();return true;">
												<font class="menu">Help</font>
											</TD>
										</TR>
										<TR>
											<TD height="0">
												<DIV id="menu1" style="Z-INDEX: 1; VISIBILITY: hidden; POSITION: absolute">
													<TABLE cellSpacing="0" bordercolor="{$menubdcolor}" width="85" border="0" bgcolor="{$menubgcolor}" cellPadding="0">
														<TBODY>
															<TR>
																<TD id="arrman" onmouseout="OutItem('arrman',1);return true;" onclick="go_page('arrman')" style="PADDING-BOTTOM: 3px; CURSOR: pointer; TEXT-ALIGN: center" onmouseover="OverItem('arrman',1);return true;">
																	<font class="menu">Array</font>
																</TD>
															</TR>
															<TR>
																<TD id="devman" onmouseout="OutItem('devman',1);return true;" onclick="go_page('devman')" style="PADDING-BOTTOM: 3px; CURSOR: pointer; TEXT-ALIGN: center" onmouseover="OverItem('devman',1);return true;">
																	<font class="menu">Device</font>
																</TD>
															</TR>
															<TR>
																<TD id="spareman" onmouseout="OutItem('spareman',1);return true;" onclick="go_page('spareman')" style="PADDING-BOTTOM: 3px; CURSOR: pointer; TEXT-ALIGN: center" onmouseover="OverItem('spareman',1);return true;">
																	<font class="menu">Spare Pool</font>
																</TD>
															</TR>
															<xsl:for-each select="/hpt_raidman_page">
															<xsl:if test="@I2CInit!=0">
															<TR>
															<TD id="I2csep" onmouseout="OutItem('I2csep',1);return true;" onclick="go_page('i2csep')" style="PADDING-BOTTOM: 3px; CURSOR: pointer; TEXT-ALIGN: center" onmouseover="OverItem('I2csep',1);return true;">
																	<font class="menu">SAF-TE Enclosure</font>
															</TD>
															</TR>
															</xsl:if>
															</xsl:for-each>
														</TBODY>
													</TABLE>
												</DIV>
											</TD>
											<TD/>
											<TD/>
											<TD/>
											<TD/>
											<TD/>
										</TR>
									</TBODY>
								</TABLE>
							</TD>
							<TD height="25"></TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
			<!--tr>
				<td height="20" width="100%" background="toolbar.gif">
				</td>
			</tr-->
		</TABLE>
		<p/>
	</xsl:template>
	<xsl:template name="DrawTopMenu2">
	
        <xsl:param name="topmenuech" >false</xsl:param>
        
		<TABLE border="0" width="819" id="table2" height="10" cellpadding="0" cellspacing="0">
		
			<TR>
				<TD>
					<TABLE border="0" width="100%" id="table2" height="10" cellpadding="0" cellspacing="0">
						<TR>
							<TD width="420" height="4"><img width="0" src=""/></TD>
							<TD width="339" height="4"></TD>
						</TR>
                        <TR>
                        	<xsl:if test="count(controllers)>0">
                            	<DIV align="left" style=" height:5px; display:table-header-group,inline; ">
                            	<xsl:if test="count(controllers)>0">
                                <select id="sel" onchange="test()">
                                    <xsl:for-each select="controllers/controller">
                                        <OPTION >
                                            <xsl:if test="count(@active)=1" >
                                            <xsl:attribute name="selected">
                                                true
                                            </xsl:attribute>
                                            </xsl:if>
                                            <xsl:attribute name="value" >
                                                http://<xsl:value-of select="../../hostaddr" />/<xsl:value-of select="@id"/>/global.cgi?userid=<xsl:value-of select="../../../session/session_id"/>
                                            </xsl:attribute>
                                            
                                            <xsl:value-of select="." /><!--(<xsl:value-of select="@id" />)-->
                                            
                                        </OPTION>
                                    </xsl:for-each>
								</select>
                                </xsl:if>
                                </DIV>
                             </xsl:if>
                               	<DIV id="topimg" align="right" style=" height:61px; display:table-header-group,inline; ">
                                	<img src="logo.gif" alt="" align="right" />
                                </DIV>
                        </TR>
					<TR>
					<td>
								<ul class="nav fix">
        							
                                    <xsl:if test="($topmenuech)='global.cgi'">
          						    	<li id="global" onclick="go_page('global')" style="background:url(navlibg.gif) no-repeat right top; color:#fff;"><a href="#" style="background:url(navlibg.gif) no-repeat left  top; color:#fff;"><span style="background:url(navlibg.gif) no-repeat right  top; color:#fff;">Global View</span></a></li>
            						</xsl:if>
            						<xsl:if test="($topmenuech)!='global.cgi'">
            							<li id="global" onclick="go_page('global')"><a href="#" ><span>Global View</span></a></li>
                                    </xsl:if>
          						    <xsl:if test="($topmenuech)='devman.cgi'">
          						    	<li id="devman" onclick="go_page('devman')" style="background:url(navlibg.gif) no-repeat right top; color:#fff;"><a href="#" style="background:url(navlibg.gif) no-repeat left  top; color:#fff;"><span style="background:url(navlibg.gif) no-repeat right  top; color:#fff;">Physical</span></a></li>
            						</xsl:if>
            						<xsl:if test="($topmenuech)!='devman.cgi'">
            						<li id="devman" onclick="go_page('devman')"><a href="#" ><span>Physical</span></a></li>
                                    </xsl:if>
                                    <xsl:if test="($topmenuech)='arrman.cgi'">
            						<li id="arrman" onclick="go_page('arrman')" style="background:url(navlibg.gif) no-repeat right top; color:#fff;"><a href="#" style="background:url(navlibg.gif) no-repeat left  top; color:#fff;"><span style="background:url(navlibg.gif) no-repeat right  top; color:#fff;">Logical</span></a></li>
                                    </xsl:if>
            						<xsl:if test="($topmenuech)!='arrman.cgi'">
            						<li id="arrman" onclick="go_page('arrman')"><a href="#"><span>Logical</span></a></li>
                                    </xsl:if>
                                    <xsl:if test="($topmenuech)='setting.cgi'">
            						<li id="setting" onclick="go_page('setting' )" style="background:url(navlibg.gif) no-repeat right top; color:#fff;"><a href="#" style="background:url(navlibg.gif) no-repeat left  top; color:#fff;"><span style="background:url(navlibg.gif) no-repeat right  top; color:#fff;">Setting</span></a></li>
                                    </xsl:if>
            						<xsl:if test="($topmenuech)!='setting.cgi'">
            						<li id="setting" onclick="go_page('setting')"><a href="#"><span>Setting</span></a></li>
                                    </xsl:if>
				    				<xsl:if test="($topmenuech)='event.cgi'">
            						<li id="Event" onclick="go_page('event')" style="background:url(navlibg.gif) no-repeat right top; color:#fff;"><a href="#" style="background:url(navlibg.gif) no-repeat left  top; color:#fff;"><span style="background:url(navlibg.gif) no-repeat right  top; color:#fff;">Event</span></a></li>
                                    </xsl:if>
            						<xsl:if test="($topmenuech)!='event.cgi'">
            						<li id="Event" onclick="go_page('event')"><a href="#"><span>Event</span></a></li>
                                    </xsl:if>
                                    <xsl:if test="($topmenuech)='shi.cgi'">
            						<li id="shi" onclick="go_page('shi' )" style="background:url(navlibg.gif) no-repeat right top; color:#fff;"><a href="#" style="background:url(navlibg.gif) no-repeat left  top; color:#fff;"><span style="background:url(navlibg.gif) no-repeat right  top; color:#fff;">SHI</span></a></li>
                                    </xsl:if>
            						<xsl:if test="($topmenuech)!='shi.cgi'">
            						<li id="shi" onclick="go_page('shi')"><a href="#"><span>SHI</span></a></li>
                                    </xsl:if>
                                    <xsl:if test="count(/hpt_raidman_page/support/flashsize)>0">
                                      <xsl:if test="($topmenuech)='recman.cgi'">
                                      <li id="recman" onclick="go_page('recman' )" style="background:url(navlibg.gif) no-repeat right top; color:#fff;"><a href="#" style="background:url(navlibg.gif) no-repeat left  top; color:#fff;"><span style="background:url(navlibg.gif) no-repeat right  top; color:#fff;">Recover</span></a></li>
                                      </xsl:if>
                                      <xsl:if test="($topmenuech)!='recman.cgi'">
                                      <li id="recman" onclick="go_page('recman')"><a href="#"><span>Recover</span></a></li>
                                      </xsl:if>
                                    </xsl:if>
                                    <xsl:if test="($topmenuech)='logout.cgi'">
            						<li id="logout" onclick="logout()"><a href="#" style="background:url(navlibg.gif) no-repeat  top; color:#fff;"><span>Logout</span></a></li>
                                    </xsl:if>
            						<xsl:if test="($topmenuech)!='logout.cgi'">
            						<li id="logout" onclick="logout()"><a href="#"><span>Logout</span></a></li>
                                    </xsl:if>
									<li id="help" onmouseover="show_menu()" onmouseout="hide_menu()"><a href="#" style="display:block; width:30px;"><span>Help</span></a>							
											<ul id="helplist" style="display:none; position:absolute; height:40px; float:left; font-size:10px; padding:0px; margin:0px; border:solid #FFFFFF 1px;">
												<li ><a href="http://www.highpoint-tech.com/help/" target="_blank">Online Help</a></li>
												<li ><a href="http://www.highpoint-tech.com/websupport/portal/addcontact.php" target="_blank">Register Product</a></li>
											</ul>
									</li>
									<xsl:if test="count(controllers) &gt; 0">
									<!--<li class="sel">
										<select id="sel" onchange="test()">
												<xsl:for-each select="controllers/controller">
													<OPTION >
														<xsl:if test="count(@active)=1" >
														<xsl:attribute name="selected">
															true
														</xsl:attribute>
														</xsl:if>
														<xsl:attribute name="value" >
															http://<xsl:value-of select="../../hostaddr" />/<xsl:value-of select="@id"/>/global.cgi?userid=<xsl:value-of select="../../../session/session_id"/>
														</xsl:attribute>
														
														<xsl:value-of select="." />
														
													</OPTION>
												</xsl:for-each>
										</select>
									</li>-->
									 </xsl:if>

        						</ul>
								</td>
						</TR>
										
					</TABLE>
				</TD>
			</TR>
			<!--tr>
				<td height="20" width="100%" background="toolbar.gif">
				</td>
			</tr-->
		</TABLE>
	</xsl:template>
	<xsl:template name="DrawLabelBtn">
		<xsl:param name="caption">Button</xsl:param>
		<xsl:param name="btnid">LabelBtn</xsl:param>
		<xsl:param name="onclick">OnClick</xsl:param>
		<TABLE border="0" cellspacing="0" cellpadding="0">
			<TR>
				<TD id="{$btnid}" onmouseout="OutLabelBtn('{$btnid}',1);return true;" onclick="{$onclick}" style="cursor: pointer; text-align: center" onmouseover="OverLabelBtn('{$btnid}',1);return true;" bgcolor="{$labelbtnbgcolor}">
					<font class="labelbtn"><u><xsl:value-of select="$caption"/></u></font>
				</TD>
			</TR>
		</TABLE>
	</xsl:template>
	<xsl:template name="DrawI2cBtn">
		<xsl:param name="icaption">Button</xsl:param>
		<xsl:param name="ibtnid">LabelBtn</xsl:param>
		<xsl:param name="ionclick">OnClick</xsl:param>
		<TABLE border="0" cellspacing="0" cellpadding="0">
			<TR>
				<TD id="{$ibtnid}" onmouseout="OutI2cBtn('{$ibtnid}');return true;" onclick="{$ionclick}" style="cursor: pointer; text-align: center" onmouseover="OverI2cBtn('{$ibtnid}');return true;" bgcolor="{$labelbtnbgcolor}">
					<font class="labelbtn"><u><xsl:value-of select="$icaption"/></u></font>
				</TD>
			</TR>
		</TABLE>
	</xsl:template>
	

</xsl:stylesheet>
